package market.Qms.qcm.mapper;

import java.util.HashMap;
import java.util.List;

import market.Qms.qcm.vo.QcmJhyElements;

import com.hnshituo.orm.GenericMapper;

public interface QcmJhyElementsMapper extends GenericMapper<QcmJhyElements, String> {
	
	public QcmJhyElements doSelectIfChem(String ch);
	
	public void dodelete(String ch);
	
	public QcmJhyElements findByid(String ch);
	
	public List<QcmJhyElements> findassay_no(int pageindex,int pagesize, String con);
	public List<QcmJhyElements> findassay_no1(String con);
	
	//质量跟踪
	public List<HashMap<String,String>> getQualityInfo(String condition);
	public int getQualityInfoCount(String condition);
	
	//质量跟踪：退火
	public List<HashMap<String,String>> getQualityInfoForTH(String condition,int num1,int num2);
	//质量跟踪：横剪
	public List<HashMap<String,String>> getQualityInfoForHJ(String condition,int num1,int num2);
	//质量跟踪：分条
	public List<HashMap<String,String>> getQualityInfoForFT(String condition,int num1,int num2);
	//质量跟踪：酸洗
	public List<HashMap<String,String>> getQualityInfoForSX(String condition,int num1,int num2);
	//质量跟踪：平整
	public List<HashMap<String,String>> getQualityInfoForPZ(String condition,int num1,int num2);
	//质量跟踪：轧机
	public List<HashMap<String,String>> getQualityInfoForZJ(String condition,int num1,int num2);
}
